package com.steerinfo.ems.tcmdatasourcetimegran.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.tcmdatasourcetimegran.model.TCmDatasourceTimegran;
import com.steerinfo.ems.tcmdatasourcetimegran.mapper.TCmDatasourceTimegranMapper;
import com.steerinfo.ems.tcmdatasourcetimegran.service.ITCmDatasourceTimegranService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * TCmDatasourceTimegran服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-15 09:10
 * 类描述
 * 修订历史：
 * 日期：2019-10-15
 * 作者：generator
 * 参考：
 * 描述：TCmDatasourceTimegran服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tCmDatasourceTimegranService")
public class TCmDatasourceTimegranServiceImpl extends BaseServiceImpl<TCmDatasourceTimegran, String> implements ITCmDatasourceTimegranService {

    @Autowired
    private TCmDatasourceTimegranMapper tCmDatasourceTimegranMapper;

    @Override
    protected IBaseMapper<TCmDatasourceTimegran, String> getMapper() {
        return tCmDatasourceTimegranMapper;
    }

    @Override
    public Set<String> uniqueKey() {
        return tCmDatasourceTimegranMapper.uniqueKey();
    }
    
    @Override
    public List<Map> getTimegranRmCalpointValue() {
        return tCmDatasourceTimegranMapper.getTimegranRmCalpointValue();
    }

	@Override
	public List<Map> getTimegranRmWorkprocProductValue() {
		return tCmDatasourceTimegranMapper.getTimegranRmWorkprocProductValue();
	}

	@Override
	public List<Map> getTimegranRmBalanceValue() {
		return tCmDatasourceTimegranMapper.getTimegranRmBalanceValue();
	}

	@Override
	public List<Map> getTimegranRmWorkprocMaterialValue() {
		return tCmDatasourceTimegranMapper.getTimegranRmWorkprocMaterialValue();
	}

    @Override
    public List<Map> getTimegranRmTrmworkprocproductvalue() {
        return tCmDatasourceTimegranMapper.getTimegranRmTrmworkprocproductvalue();
    }

    @Override
    public List<Map> getTimegranRmTrmactvalue() {
        return tCmDatasourceTimegranMapper.getTimegranRmTrmactvalue();
    }

    @Override
    public List<Map> getTimegranRmindexvalue() {
        return tCmDatasourceTimegranMapper.getTimegranRmindexvalue();
    }
}
